[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColReadBoolean

Read a boolean value from a stream

## Declaration

Source position: streamcoll.pp line 76

`function ColReadBoolean(`
`S: TStream`
`):Boolean;`

## Arguments

`S` |  | Stream to read boolean value from

## Function result

Boolean value read from the stream

## Description

ColReadBoolean reads a boolean from the stream S as it was written by ColWriteBoolean and returns the read value. The value cannot be read and written across systems that have different endian values.

## See also

ColReadDateTime |  | Read a TDateTime value from a stream
ColWriteBoolean |  | Write a boolean to a stream
ColReadString |  | Read a string from a stream
ColReadInteger |  | Read a 32-bit integer from a stream.
ColReadFloat |  | Read a floating point value from a stream
ColReadCurrency |  | Read a currency value from the stream